RubyGems Navigation menu

dry-schema 1.13.3

dry-schema provides a DSL for defining schemas with keys and rules that should be applied to values. It supports coercion, input sanitization, custom types and localized error messages (with or without I18n gem). It's also used as the schema engine in dry-validation.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.13.3 - August 26, 2023 (45 KB)
  2. 1.13.2 - May 31, 2023 (45 KB)
  3. 1.13.1 - April 07, 2023 (45 KB)
  4. 1.13.0 - November 24, 2022 (45 KB)
  5. 1.12.0 - November 04, 2022 (44.5 KB)
Show all versions (56 total)

Runtime Dependencies (7):

dry-configurable ~> 1.0, >= 1.0.1
dry-core ~> 1.0, < 2
dry-logic >= 1.4, < 2
dry-types >= 1.7, < 2
zeitwerk ~> 2.6

Development Dependencies (3):

bundler >= 0
rake >= 0
rspec >= 0

Owners:

Pushed by:

Authors:

  • Piotr Solnica

SHA 256 checksum:

ff0ec847c7986ddb76145f9426ddacaa68c28b170c0f626fb8d30fcb431393e3

Total downloads 43,446,024

For this version 695,631

License:

MIT

Required Ruby Version: >= 2.7

Links: